Uploaded image for project: 'Spring Roo'
  1. Spring Roo
  2. ROO-2632

DataNucleus 3.0 Support

    XMLWordPrintable

    Details

    • Type: New Feature
    • Status: Resolved
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: None
    • Fix Version/s: 1.2.0.RC1
    • Component/s: GAE, PERSISTENCE
    • Labels:
      None

      Description

      DataNucleus v3.0 is released. This is fully JDO3/JPA2 compliant, and changes the jars that DataNucleus uses.

      For JDO usage you need
      datanucleus-core.jar, datanucleus-api-jdo.jar, datanucleus-

      {datastore}.jar
      For JPA usage you need
      datanucleus-core.jar, datanucleus-api-jpa.jar, datanucleus-{datastore}

      .jar

      The JPA persistence provider name is also changed, as is the JDO PMF implementation name.

      Also, GAE/J has a version in SVN that works with this version of DataNucleus, meaning that you could at some point eliminate the need to support JPA1 in ROO.

        Attachments

          Activity

            People

            Assignee:
            stewarta Alan Stewart
            Reporter:
            datanucleus Nobody
            Votes:
            2 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: